# Uses of Class
org.eclipse.jdt.core.dom.StringTemplateComponent

Packages that use StringTemplateComponent
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of StringTemplateComponent in org.eclipse.jdt.core.dom

Methods in org.eclipse.jdt.core.dom that return StringTemplateComponent
Modifier and Type
Method
Description
`StringTemplateComponent`
AST.`newStringTemplateComponent()`
Creates and returns a new unparented string template component node for the empty string template component.
Methods in org.eclipse.jdt.core.dom that return types with arguments of type StringTemplateComponent
Modifier and Type
Method
Description
`List<StringTemplateComponent>`
StringTemplateExpression.`components()`
Methods in org.eclipse.jdt.core.dom with parameters of type StringTemplateComponent
Modifier and Type
Method
Description
`void`
ASTVisitor.`endVisit(StringTemplateComponent node)`
`boolean`
ASTMatcher.`match(StringTemplateComponent node, Object other)`
Returns whether the given node and the other object match.
`boolean`
ASTVisitor.`visit(StringTemplateComponent node)`
Visits the given type-specific AST node.